hmac-cpp
Unverified Other strategy on Crypto by LimiNode. BotFinder score 18 out of 100.
C++11 HMAC (SHA1/SHA256/SHA512) library with PBKDF2/HKDF, HOTP/TOTP + stateless time tokens, Base32/64/36, zeroizing secure_buffer, CMake package and MQL5 support.
Source: github
BotFinder analysis pending.
hmac-cpp
hmac-cpp 🇷🇺 README-RU A lightweight C++11 library for computing HMAC (SHA-1/SHA-256/SHA-512), key derivation (PBKDF2, HKDF), and OTP (HOTP, TOTP). Includes optional time-based HMAC tokens for simple stateless use-cases and MQL5 compatibility. --- 🚀 Features C++11 compatible HMAC with SHA1, SHA256, SHA512 Output as binary or hex PBKDF2 (RFC 8018) — password-based key derivation HKDF (RFC 5869) — key extraction/expansion OTP: HOTP (RFC 4226) — counter-based TOTP (RFC 6238) — time-based Time-based HMAC tokens — lightweight, stateless HMAC(timestamp)-style tokens (not TOTP/HOTP) MQL5 support — adapted SHA/HMAC for MetaTrader 5 Exported CMake package target: hmaccpp::hmaccpp --- ⚙️ Platform & Compiler Support CI covers Linux/Windows/macOS. Tested with GCC, Clang, and MSVC; requires C++11. --- 📈 Versioning / SemVer policy Follows Semantic Versioning. Before 1.0, a MINOR release may include breaking changes to headers or exported symbols; CMake package discovery therefore requires an exact version. After 1.0, MAJOR denotes breaking changes and MINOR denotes backward-compatible additions. PA
⚠ No verified equity curve — no track-record source connected.
Drawdown profile
Data unavailable — contact the owner.
Verification ledger
How the score has moved
Recalculated at each data collection. Transparency means showing the bad weeks too.
No score history is stored yet — only the current score is shown.
Reviews & comments
No reviews collected from the source yet.
⚠ No live verification account connected — ask for proof before buying.
Alerts on changes: coming soon
Prop-firm compatibility not provided.
Open-source maintainer on GitHub.
Data-completeness & trust index (not a profitability rating)